<?php

namespace Drupal\commerce_packaging_usps;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;
use Symfony\Component\DependencyInjection\Reference;

/**
 * Class must be module name in camel_case + ServiceProvider to work properly.
 */
class CommercePackagingUspsServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    if ($definition = $container->getDefinition('commerce_usps.usps_rate_request')) {
      $definition->setClass(USPSPackagingRateRequest::class);
      $definition->addArgument(new Reference('commerce_packaging.shipment_package_manager'));
    }
    if ($definition = $container->getDefinition('commerce_usps.usps_shipment')) {
      $definition->setClass(USPSShipment::class);
    }
  }
}
